# OnnxRuntime: Ort::TypeInfo Struct Reference

Loading...
Searching...
No Matches
Ort::TypeInfo Struct Reference

Type information that may contain either TensorTypeAndShapeInfo or the information about contained sequence or map depending on the ONNXType. More...

`#include <onnxruntime_cxx_api.h>`

Inheritance diagram for Ort::TypeInfo:

## Public Member Functions

| TypeInfo (std::nullptr_t)
| Create an empty TypeInfo object, must be assigned a valid one to be used.
| TypeInfo (OrtTypeInfo *p)
| C API Interop.
ConstTypeInfo | GetConst () const
Public Member Functions inherited from Ort::detail::TypeInfoImpl< OrtTypeInfo >
ConstTensorTypeAndShapeInfo | GetTensorTypeAndShapeInfo () const
| Wraps OrtApi::CastTypeInfoToTensorInfo.
ConstSequenceTypeInfo | GetSequenceTypeInfo () const
| Wraps OrtApi::CastTypeInfoToSequenceTypeInfo.
ConstMapTypeInfo | GetMapTypeInfo () const
| Wraps OrtApi::CastTypeInfoToMapTypeInfo.
ONNXType | GetONNXType () const
Public Member Functions inherited from Ort::detail::Base< T >
constexpr | Base ()=default
constexpr | Base (contained_type *p) noexcept
| ~Base ()
| Base (const Base &)=delete
Base & | operator= (const Base &)=delete
| Base (Base &&v) noexcept
Base & | operator= (Base &&v) noexcept
constexpr | operator contained_type * () const noexcept
contained_type * | release ()
| Relinquishes ownership of the contained C object pointer The underlying object is not destroyed.

## Additional Inherited Members

Public Types inherited from Ort::detail::TypeInfoImpl< OrtTypeInfo >
using | B = Base< OrtTypeInfo >
Public Types inherited from Ort::detail::Base< T >
using | contained_type = T
Protected Attributes inherited from Ort::detail::Base< T >
contained_type * | p_ {}

## Detailed Description

Type information that may contain either TensorTypeAndShapeInfo or the information about contained sequence or map depending on the ONNXType.

## Constructor & Destructor Documentation

## TypeInfo() [1/2]

Ort::TypeInfo::TypeInfo | ( | std::nullptr_t |  | ) |

inlineexplicit

Create an empty TypeInfo object, must be assigned a valid one to be used.

## TypeInfo() [2/2]

Ort::TypeInfo::TypeInfo | ( | OrtTypeInfo * | p | ) |

inlineexplicit

C API Interop.

## Member Function Documentation

## GetConst()

ConstTypeInfo Ort::TypeInfo::GetConst | ( |  | ) | const

inline